:root {
    --bg-color: #fafafa;
    --text-primary-color: #111111;

    --text-dark-color: #111111;
    --border-primary-color: #111111;
}

* {
    font-family: monospace;
    box-sizing: border-box;
}

html {
    background-color: var(--bg-color);
    height: 100%;
    font-size: 14px;
    color: var(--text-primary-color);
}

body {
    display: flex;
    flex-direction: column;
    height: 100%;
    margin: 0;
}

body>div {
    display: flex;
    flex-direction: column;
    min-height: 100%;
    padding: 14px;

    overflow: scroll;
}

header {
    display: flex;
    flex-direction: column;
    align-items: center;

    padding: 2px;

    margin-top: 0;
    margin-bottom: 4px;
}

footer {
    display: flex;
    flex-direction: column;
    align-items: center;

    padding: 2px;

    margin-top: 4px;
    margin-bottom: 0;

    font-size: .8rem;
}

main {
    display: flex;
    flex-direction: column;
    align-items: normal;

    margin-top: 4px;
    margin-bottom: 4px;
}

main:last-of-type {
    flex: 1 0 auto;
}

section {
    flex: 0 0 auto;

    display: flex;
    flex-direction: column;
    align-items: normal;

    margin-top: 14px;
    margin-bottom: 6px;
}

section h2 {
    align-self: center;
}

/* H */

h1 {
    font-size : 1.2rem;
}

h2 {
    font-size : 1rem;
}

/* List */

ul {
    padding: 0;
    display: flex;
}

ul.card {
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
}

ul.list {
    flex-direction: column;
    align-items: normal;
}

ul li {
    list-style: none;
    margin: 5px;
}

ul li > * {
    padding: 12px;
}

ul.list li {
    margin: 5px 0;
}

ul.card li {
    flex: 0 0 auto;
}

ul.card li > * {
    padding: 8px;
}

ul li a {
    display: block;
    text-align: center;
}

/* Header */

header h1 {
    padding: 8px;
}

header img {
    border-radius: 50%;
}

header p.headline {
    font-size: 1rem;
    text-align: center;
    font-weight: bold;
}

/* Decoration */

.prf-place:before {
    content: '📍';
    margin-right: 8px;
}

.prf-octopus:before {
    content: '🐙';
    margin-right: 8px;
}

.prf-worker:before {
    content: '🧑🏻‍💻';
    margin-right: 8px;
}

.prf-hashtag::before {
    content: '#';
    font-weight: bold;
    margin-right: 3px;
}

.prf-slash::before {
    content: '/';
    font-weight: bold;
    margin-right: 3px;
}

/* Tools */
.tls-hidden {
    visibility: hidden;
    height: 0;
    margin: 0;
}

/* Flex tools */
.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.flex-justify-center {
    justify-content: center;
}

.flex-justify-flex-end {
    justify-content: flex-end;
}

.flex-justify-space-between {
    justify-content: space-between;
}

.flex-justify-space-around {
    justify-content: space-around;
}

.flex-justify-space-evenly {
    justify-content: space-evenly;
}

.flex-align-items-center {
    align-items: center;
}

.flex-self-align-normal {
    align-self: normal;
}

/* Breakpoints */

@media all and (min-width: 600px) {
    header, main, footer {
        width : 592px;
        margin-left: auto;
        margin-right: auto;
    }
}
